/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct PluginManifestServer {
    #[serde(rename = "executables", skip_serializing_if = "Option::is_none")]
    pub executables: Option<Box<crate::openapi::models::PluginManifestServerExecutables>>,
    /// Path to the executable binary.
    #[serde(rename = "executable", skip_serializing_if = "Option::is_none")]
    pub executable: Option<String>,
}

impl PluginManifestServer {
    pub fn new() -> PluginManifestServer {
        PluginManifestServer {
            executables: None,
            executable: None,
        }
    }
}
